﻿using System.Windows.Input;
using GalaSoft.MvvmLight.CommandWpf;
using GalaSoft.MvvmLight.Messaging;
using WpfNavigation.Messages;

namespace WpfNavigation.ViewModel
{
    public class View3ViewModel : AViewModel
    {
        public ICommand ChangeViewCommand { get; }

        public View3ViewModel()
        {
            ChangeViewCommand = new RelayCommand(() =>
            {
                Messenger.Default.Send(new ChangeViewMessage(ViewModelLocator.Instance.View2));
            });
            Name = "View 3";
        }
    }
}
